com.microfocus.awm.localsystem

## Class LocalMasterConfigurationProvider

- java.lang.Object
- - com.microfocus.awm.localsystem.LocalMasterConfigurationProvider

- All Implemented Interfaces:
    IMasterConfigurationProvider

      public class LocalMasterConfigurationProvider
      extends java.lang.Object
      implements IMasterConfigurationProvider

  Provider for local master configuration files.
  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalMasterConfigurationProvider()` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFormat()` Gets the format flag of the found master configuration ( `MasterConfigurationParser.FORMAT_FLAT` or `MasterConfigurationParser.FORMAT_XML`).
    `java.io.InputStream` | `getMasterConfiguration(ISystemImage pImg)` Method called by TAURUS if a master configuration is needed.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalMasterConfigurationProvider

          public LocalMasterConfigurationProvider()
                                           throws java.io.FileNotFoundException

      Basic constructor.
      Throws:
        `java.io.FileNotFoundException` - if no local master configuration file was found

  - ### Method Detail

    - #### getMasterConfiguration

          public java.io.InputStream getMasterConfiguration(ISystemImage pImg)
                                                     throws java.io.FileNotFoundException

      Description copied from interface: `IMasterConfigurationProvider`
      Method called by TAURUS if a master configuration is needed.
      Specified by:
        `getMasterConfiguration` in interface `IMasterConfigurationProvider`
      Parameters:
        `pImg` - the corresponding `ISystemImage`
      Returns:
        the contents of a master configuration
      Throws:
        `java.io.FileNotFoundException`

    - #### getFormat

          public int getFormat()

      Gets the format flag of the found master configuration ( `MasterConfigurationParser.FORMAT_FLAT` or `MasterConfigurationParser.FORMAT_XML`).
      Returns:
        the format of the master configuration file

Copyright © 2015 Micro Focus GmbH. All rights reserved.